Skip to navigation

Update Company-Level Payment Terms

Updates the Company-level payment terms for the Company specified by companyId. If the value of isEnabled is set to false, the paymentTerms field will be ignored and will default to the store-level value.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
The unique numeric ID of the Company assigned by B2B Edition.

Request

This endpoint expects an object.
isEnabledbooleanRequired
Indicates whether payment on terms is available for the specified Company.
paymentTermsenumRequired

The term set for the specified Company. This field takes the store-level default value if isEnabled is false.

Response

SUCCESS
codeintegerOptionalDefaults to 200
Operation status code.
dataobjectOptional
metaobjectOptional

Errors

400
Bad Request Error